### File

`packages/core/src/lib/components/atoms/euim-notification-item/euim-notification-item.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-notification-item`
standalone | `true`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-notification-item.component.html`

### Index

###### Properties

- Public baseStatesDirective

###### Methods

- getCssClasses

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`

Parameters :

Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""